/%h4.text-primary Socio Demographic Information
.panel.panel-default{"ng-controller" => "FarmerCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary General Information
  .panel-body

    %fieldset
      .form-group{:class => "col-sm-3"}
        %label District:
        %select{"ng-model" => "vm.district", "ng-options" => "district.name for district in districts track by district.id", :class => "form-control", "ng-change" => "get_taluks()"}
          %option{:value=>'', :selected => 'selected'} Select

      .form-group{:class => "col-sm-3"}
        %label Sub Water Shed:
        %select{"ng-model" => "vm.sub_water_shed", "ng-options" => "(sub_water_shed.name +' - '+sub_water_shed.code) for sub_water_shed in sub_water_sheds track by sub_water_shed.id", :class => "form-control","ng-change" => "get_micro_water_sheds()"}
          %option{:value=>'', :selected => 'selected'} Select

      .form-group{:class => "col-sm-3"}
        %label Micro Water Shed:
        %select{"ng-model" => "vm.micro_water_shed", "ng-options" => "(micro_water_shed.name + ' - '+micro_water_shed.code) for micro_water_shed in micro_water_sheds track by micro_water_shed.id", :class => "form-control","ng-change" => "get_villages()"}
          %option{:value=>'', :selected => 'selected'} Select 
             
      .form-group{:class => "col-sm-3"}
        %label Village:
        %select{"ng-model" => "vm.village", "ng-options" => "village.name for village in villages track by village.id", :class => "form-control"}
          %option{:value=>'', :selected => 'selected'} Select
      

    %fieldset
      .form-group{:class => "col-sm-3"}
        %label Taluk:
        %select{"ng-model" => "vm.taluk", "ng-options" => "taluk.name for taluk in taluks track by taluk.id", :class => "form-control",  "ng-change" => "get_hoblis()"}
          %option{:value=>'', :selected => 'selected'} Select

      .form-group{:class => "col-sm-3"}
        %label Hobli:
        %select{"ng-model" => "vm.hobli", "ng-options" => "hobli.name for hobli in hoblis track by hobli.id", :class => "form-control", "ng-change" => "get_grampanchayats()"}
          %option{:value=>'', :selected => 'selected'} Select

      .form-group{:class => "col-sm-3"}
        %label Gram Panchayat:
        %select{"ng-model" => "vm.grampanchayat", "ng-options" => "grampanchayat.name for grampanchayat in grampanchayats track by grampanchayat.id", :class => "form-control","ng-change" => "get_sub_water_sheds()"}
          %option{:value=>'', :selected => 'selected'} Select
      
      .form-group{:class => "col-sm-3"}
        %label Hamlet:
        = text_field :hamlet, '', :class => "form-control", "ng-model" => "vm.hamlet"


    %fieldset
      .form-group{:class => "col-sm-6"}
        %label Topography:  
        %select{"ng-model" => "vm.topography", "ng-options" => "topography.name for topography in topographies track by topography.id", :class => "form-control", :placeholder => "Select"}
          %option{:value=>'', :selected => 'selected'} Select

      .form-group{:class => "col-sm-6"}
        %label SMU:  
        %select{"ng-model" => "vm.smu", "ng-options" => "smu.name for smu in smus track by smu.id", :class => "form-control", :placeholder => "Select"}
          %option{:value=>'', :selected => 'selected'} Select

    %fieldset
      .form-group{:class => "col-sm-6"}
        %label{:class => "control-label"} Farmer Name:
        = text_field :name, '', :class => "form-control", "ng-model" => "vm.name"

      .form-group{:class => "col-sm-6"}
        %label Father's Name:
        = text_field :father_name, '', :class => "form-control", "ng-model" => "vm.father_name"

    %fieldset
      .form-group{:class => "col-sm-4"}
        %label Caste:  
        %select{"ng-model" => "vm.caste", "ng-options" => "caste.name for caste in castes track by caste.id", :class => "form-control", :placeholder => "Select"}
          %option{:value=>'', :selected => 'selected'} Select

      .form-group{:class => "col-sm-4"}      
        %label Aadhar Number:
        = text_field :aadhar, '', :class => "form-control", "ng-model" => "vm.aadhar"


      .form-group{:class => "col-sm-4"}
        %label Phone:
        = text_field :phone, '', :class => "form-control", "ng-model" => "vm.phone"

    
    
              
    /         %td
    /         %td 
    /     t.string :name
    / t.integer :village_id
    /     t.string :hamlet
    /     t.integer :caste_id
    /     t.string :aadhar
    /     t.string :father_name
    /     t.string :phone
    /     t.integer :smu_id
    /     t.integer :topography_id 
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %a{:class => "btn btn-primary btn-sm pull-right", "ng-href" => "/2"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}

  
     

